#include "meter.h"
#include "khbgi.h"
#include "patterns.h"

void Meter::show_meter(rect r, int attr, int bak, uchar* pat)
    {
    bar(r, attr, bak, pat);
    }
/////////////////////////
void Meter::show(loc pos, int len, int direction, int cursor, int pat,
	      BORDERS type)
    {
    loc corner = direction == HORIZ ? loc(pos.X + len,
	pos.Y + pScreenSet->cell_height)
	: loc(pos.X + 2 * pScreenSet->cell_width, pos.Y + len);
    rect r(pos + loc(1, 1), corner);

    r.corner -= loc(2, 2);
    show_meter(r, (int)pColorSet->colors.HDR_BAK_COLOR,
	(int)pColorSet->colors.HDR_FOR_COLOR, (uchar*)::pattern[pat]);
    r.corner += loc(2, 2);

    Carcase c;
    c.show(type, r);

    rect curs = direction == HORIZ ? rect(pos.X + cursor, pos.Y,
				 pos.X + cursor + 2 * pScreenSet->cell_width,
				 pos.Y + pScreenSet->cell_height)
			  : rect(pos.X, pos.Y + cursor,
				 pos.X + 2 * pScreenSet->cell_width,
				 pos.Y + cursor + pScreenSet->cell_height);
    curs.symmexpand(loc(-1, -1));
    Element e(curs, NO_ELEMENT, BUTTON_BORDER, pat, 1);
    e.show();
    }
////////////////////////
/*
void main()
    {
    if(!init_KNOW_HOW())
	return;
    setfillstyle(SOLID_FILL, pColorSet->colors.BAK_COLOR);
    bar(0, 0, getmaxx(), getmaxy());

    Meter m;
    m.show(loc(100, 100), 140, HORIZ, 11, 16, NO_BORDER);
    m.show(loc(100, 120), 140, HORIZ, 11, 16, BUTTON_BORDER);
    m.show(loc(100, 140), 140, HORIZ, 11, 16, SHOW_BORDER);
    m.show(loc(160, 180), 120, VERT, 11, 16, NO_BORDER);
    m.show(loc(180, 180), 120, VERT, 11, 16, BUTTON_BORDER);
    m.show(loc(200, 180), 120, VERT, 11, 16, SHOW_BORDER);

    close_KNOW_HOW();
    closegraph();
    }
*/