#ifndef _SCROLL_BLOCK_H_
#define _SCROLL_BLOCK_H_

#include "bl.h"
#include "sbar.h"

// shadow <= 8

class ScrollBlock : public Bl
    {
    protected:
	ScrollBar* horiz_scroll_bar;
	ScrollBar* vert_scroll_bar;
	int scroll_type;
    public:
	ScrollBlock(rect coord, int type = 0, char* fName = "", char* h = "",
	    int shadow = 0, int res = 0, BORDERS b_type = SHOW_BORDER,
	    BORDERS hdr_b_type = SHOW_BORDER, int pat = 0, int hdr_pat = 15,
	    int elem_pat = 15, int scroll_pat = 15);
	~ScrollBlock()
	    { delete horiz_scroll_bar, delete vert_scroll_bar; }
	virtual void rearrange();  // after MOVE or RESIZE
    };

#endif _SCROLL_BLOCK_H_


